﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace Annotation_SfChart
{
    public class ViewModel
    {
        public ObservableCollection<Model> Collection { get; set; }

        public AnnotationCollection Annotations { get; set; }
        public AnnotationCollection Annotations1 { get; set; }


        public ChartSeriesCollection Series { get; set; }

        public ViewModel()
        {
            Collection = new ObservableCollection<Model>();
            Annotations = new AnnotationCollection();
            Annotations1 = new AnnotationCollection();
       
            Series = new ChartSeriesCollection();

            Collection.Add(new Model() { XValue = 1, YValue = 40 });
            Collection.Add(new Model() { XValue = 2, YValue = 20 });
            Collection.Add(new Model() { XValue = 3, YValue = 35 });
            Collection.Add(new Model() { XValue = 4, YValue = 45 });
            Collection.Add(new Model() { XValue = 5, YValue = 38 });

            LineAnnotation line = new LineAnnotation();
            line.X1 = 2;
            line.X2 = 2;
            line.Y1 = 0;
            line.Y2 = 50;
            line.Stroke = new SolidColorBrush(Colors.Red);
            line.StrokeThickness = 2;

            LineAnnotation line1 = new LineAnnotation();
            line1.X1 = 2;
            line1.X2 = 2;
            line1.Y1 = 0;
            line1.Y2 = 50;
            line1.Stroke = new SolidColorBrush(Colors.Red);
            line1.StrokeThickness = 2;

            Annotations.Add(line);
            Annotations1.Add(line1);


            SplineSeries sp = new SplineSeries();
            sp.ItemsSource = Collection;
            sp.YBindingPath = "YValue";
            sp.XBindingPath = "XValue";
            Series.Add(sp);

        }
    }
}
